Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class RendezvousSNHFactory

    java.lang.Object
      rice.pastry.socket.SocketNodeHandleFactory
          rice.pastry.socket.nat.rendezvous.RendezvousSNHFactory

All Implemented Interfaces:
  NodeHandleFactory

    public class RendezvousSNHFactory

extends SocketNodeHandleFactory

Field Summary

Fields inherited from class rice.pastry.socket.SocketNodeHandleFactory
`handleSet, pn`

Constructor Summary
`RendezvousSNHFactory(TLPastryNode pn)`

Method Summary
`SocketNodeHandle` | `getNodeHandle(MultiInetSocketAddress i, long epoch, Id id)` This is kind of weird, may need to rethink this.
`SocketNodeHandle` | `getNodeHandle(MultiInetSocketAddress i, long epoch, Id id, byte contactState)`
`NodeHandle` | `readNodeHandle(InputBuffer buf)`

Methods inherited from class rice.pastry.socket.SocketNodeHandleFactory
`coalesce`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendezvousSNHFactory

    public RendezvousSNHFactory(TLPastryNode pn)

Method Detail

### getNodeHandle

    public SocketNodeHandle getNodeHandle(MultiInetSocketAddress i,
                                          long epoch,
                                          Id id)

  Description copied from class: `SocketNodeHandleFactory`
  This is kind of weird, may need to rethink this.

  Overrides:
    `getNodeHandle` in class `SocketNodeHandleFactory`
  Returns:

### getNodeHandle

    public SocketNodeHandle getNodeHandle(MultiInetSocketAddress i,
                                          long epoch,
                                          Id id,
                                          byte contactState)

### readNodeHandle

    public NodeHandle readNodeHandle(InputBuffer buf)
                              throws java.io.IOException

  Specified by:
    `readNodeHandle` in interface `NodeHandleFactory`
  Overrides:
    `readNodeHandle` in class `SocketNodeHandleFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.